var jobType = {
  B: 'Backup', //备份
  R: 'Restore' //恢复
};
var joblevel = {
  F: 'Full', //完整
  I: 'Increment', //增量
  D: 'differential' //差分
};
var jobstatus = {
  C: 'Created', //已创建
  R: 'Running', //运行中
  B: 'Blocked', //已阻断
  T: 'Completed', //已完成
  E: 'Terminated with errors', //错误中止
  e: 'Non-fatal error', //一般错误
  f: 'Fatal error', //严重错误
  D: 'Verify found differences', //验证差分
  A: 'Canceled by user', //已取消
  I: 'Incomplete job', //未完成
  L: 'Committing data', //提交数据
  W: 'Terminated with warnings', //警告中止
  l: 'Doing data despooling', //数据排序
  q: 'Queued waiting for device', //等待设备
  F: 'Waiting for Client', //等待客户端
  S: 'Waiting for Storage daemon', //等待存储器
  m: 'Waiting for new media', //等待新介质
  M: 'Waiting for media mount', //等待挂载
  s: 'Waiting for storage resource', //等待存储资源
  j: 'Waiting for job resource', //等待任务资源
  c: 'Waiting for client resource', //等待客户端资源
  d: 'Waiting on maximum jobs', //等待最大任务数
  t: 'Waiting on start time', //等待开始时间
  p: 'Waiting on higher priority jobs', //等待高优先级任务
  i: 'Doing batch insert file records', //分批插入数据
  a: 'SD despooling attributes', //存储池排序
};

function vmbackupTemplateAppend(target, template, name) {
  jQuery('#' + template).clone().attr('id', name).show().appendTo(target);
  var tagName = '#' + name;
  return jQuery(tagName);
};

function vmbackupLoadingShow() {
  jQuery('#vmbackup_waiting_content').show();
  jQuery('#vmbackup_waiting_logo').show();
}

function vmbackupLoadingHide() {
  jQuery('#vmbackup_waiting_content').hide();
  jQuery('#vmbackup_waiting_logo').hide();
}

function setDomID() {
  var d = new Date().getTime();
  var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
    var r = (d + Math.random() * 16) % 16 | 0;
    d = Math.floor(d / 16);
    return (c == 'x' ? r : (r & 0x3 | 0x8)).toString(16);
  });
  return uuid;
};
